Name: jsch
Version: 0.1.18
Release: alt1

%def_without origsrc

Summary: Java implementation of SSH2
Group: System/Libraries
License: BSD-style
URL: http://www.jcraft.com/jsch/

%define javadocdir      %_datadir/javadoc

%if_with origsrc
Source: %name-%version.zip
%else
Source: %name-%version.tar.bz2
%endif

BuildArch: noarch

BuildPreReq: rpm-build-java
BuildRequires: ant
BuildRequires: j2se-devel >= 1.4

%description
JSch is a pure Java implementation of SSH2, a secure remote shell protocol.
JSch allows you to connect to an sshd server and use port forwarding,
X11 forwarding, file transfer, etc., and you can integrate its
functionality into your own Java programs.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java

%description javadoc
Javadoc-generated API documentation for JSch, a pure Java
implementation of SSH2.

%package demo
Summary: Examples for %name
Group: Development/Java
Requires: %name = %version-%release

%description demo
Examples demonstrating how to use JSch, a pure Java
implementation of SSH2.

%prep
%setup -q

%build
%ant_build \
%if_enabled debug
    -Djavac.debug=true \
%endif
    dist javadoc examples

%install
# jar
%__mkdir_p %buildroot%_javadir
%__install -p -m644 dist/lib/%name-*.jar %buildroot%_javadir/%name.jar

# javadoc
%__install -d -m755 %buildroot%_javadocdir/%name
%__cp -a javadoc/* %buildroot%_javadocdir/%name/

# demo
%__install -d -m755 %buildroot%_datadir/%name
cp -a examples %buildroot%_datadir/%name/

%files
%doc README LICENSE.txt ChangeLog
%_javadir/*

%files javadoc
%_javadocdir/%name

%files demo
%_datadir/%name

%changelog
* Tue Jan 04 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.18-alt1
- New upstream release
- Use macros provided by rpm-build-java
- Examples packaged

* Mon Sep 20 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.17-alt1
- New upstream release

* Mon Jun 07 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.15-alt1
- New upstream release

* Sun Mar 28 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.1.14-alt1
- Package created
